Package javassist.tools.rmi

# Class ObjectNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.tools.rmi.ObjectNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ObjectNotFoundException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ObjectNotFoundException(String name)`
`ObjectNotFoundException(String name, Exception e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ObjectNotFoundException

public ObjectNotFoundException(String name)

### ObjectNotFoundException

public ObjectNotFoundException(String name, Exception e)